#ifndef SLALIB_H
#define SLALIB_H

#include <TROOT.h>

#include "coord.h"
#include "timer.h"
#include "MObservatory.h"

class Slalib : public Timer, public MObservatory
{
private:
    double fAlpha;

public:
    Slalib(MObservatory::LocationName_t key);
    virtual ~Slalib();

    virtual void SetMjd(double mjd);

    double GetAlpha() const  { return fAlpha; }

    ZdAz   XYZ2ZdAz(double coord[3]) const;

    ClassDef(Slalib, 0)
};

#endif
